Отказ в обслуживании в PHP

Дата публикации:06.03.2014
Всего просмотров:1598
Опасность:
Низкая
Наличие исправления: Инстуркции по устранению
Количество уязвимостей:1
CVSSv2 рейтинг: 5 (AV:N/AC:L/Au:N/C:N/I:N/A:P/E:U/RL:W/RC:C)
CVE ID: CVE-2014-1943
Вектор эксплуатации: Удаленная
Воздействие: Отказ в обслуживании
CWE ID: Нет данных
Наличие эксплоита: Нет данных
Уязвимые продукты: PHP 5.4.x
PHP 5.5.x
Уязвимые версии: PHP 5.4.x, PHP 5.5.x, возможно более ранние версии

Описание:
Уязвимость позволяет удаленному пользователю вызвать отказ в обслуживании приложения.

Уязвимость существует из-за ошибки при обработке файлов, прилагаемых в комплекте с расширением Fileinfo в библиотеке libmagic. Удаленный пользователь может вызвать бесконечную рекурсию и аварийно завершить работу приложения.

URL производителя: ttp://www.php.net

Решение: Исправлено в репозитории.

Ссылки: http://mx.gw.com/pipermail/file/2014/001327.html
https://github.com/php/php-src/commit/89f864c547014646e71862df3664e3ff33d7143d
https://github.com/php/php-src/commit/fdb9b6e5ec73d37b9734c9f7c50b3946ed85b5e3